Name:           gnome-voice-control
Version:        0.4
Release:        3.1.moblin2
Summary:        Gnome-Voice-Control is a dialogue system to control the GNOME Desktop.

Group:          Development/Libraries
License:        BSD
URL:            http://live.gnome.org/GnomeVoiceControl
Source0:        %{name}-%{version}.tar.gz
Patch0:		gnome-voice-control-newcommands.patch
# This patch has not been sent upstream, as it fixes a Fedora-specific problem.
# Install the Python egg in the Fedora way.
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel, blas-devel, doxygen, lapack-devel, sphinxbase-devel, pocketsphinx-devel 
BuildRequires:  perl, python-setuptools-devel, tex(latex), gnome-common
#BuildRequires:  libwnck-devel, cspi-devel, libpanelapplet-devel, gtk2-devel, libgnomeui-devel, gstreamer-devel, gstreamer-base-devel, gdk-devel
BuildRequires:  pkgconfig(libpanelapplet-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-base-0.10)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(cspi-1.0)
BuildRequires:  intltool, gnome-doc-utils
Requires:       at-spi
Requires:       sphinxbase-libs, sphinxbase
Requires:       pocketsphinx

%description
The idea is to develop some features that will improve the usability in the Gnome Desktop. The goal is to implement a Desktop Voice Control System. The system consists in an application that will be monitoring the audio input(microphone) and when a significant audio signal has been detected, the software 
catches, processes and recognizes the signal and then executes the desired action over the Gnome Desktop. In a set of actions could include maximize, minimize, close the active window; open a specific program; switching from one desktop to another; among others. GnomeVoiceControl is implemented in C in 
conjunction with CMU Sphinx, which is an open source tool, created to convert speech to text

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/bonobo/servers/GNOME_VoiceControlApplet_Factory.server
%{_datadir}/gnome-2.0/ui/GNOME_VoiceControlApplet.xml
%{_libexecdir}/voice_control_applet
%{_datadir}/gnome-voice-control/*
%{_datadir}/locale/*
%{_datadir}/gnome/help/gnome-voice-control/*
%{_datadir}/omf/gnome-voice-control/*
%changelog
* Mon Oct 19 2009 Todd Brandt <todd.e.brandt@intel.com> - 0.4
- removed the libfortran requirement and added at-api
* Thu Oct 15 2009 Todd Brandt <todd.e.brandt@intel.com> - 0.4
- Added new commands
* Thu Oct  1 2009 Todd Brandt <todd.e.brandt@intel.com> - 0.4
- Integrated into moblin
